## fonts-confont 0.9.0~chris1

=== debian/changelog ===
fonts-confont (0.9.0~chris1) groovy; urgency=medium

  *  fix name issues in font metadata (crashed forge earlier)

 -- Chris <dpkg@chris-nz.com>  Sun, 02 May 2021 09:49:03 +1200

fonts-confont (0.9.0) groovy; urgency=medium

  * Initial release. (Closes: #1018008)

 -- Chris <dpkg@chris-nz.com>  Sun, 02 May 2021 03:23:03 +1200

## fonts-confont 0.9.1~chris1

=== Makefile ===
#!/usr/bin/make -f

NAME=confont
COOLNAME=ConFont
FONTS=Regular
WHERE=${DESTDIR}/usr/share/fonts
SRCDIR=.
BLDDIR=build

default: all
all: otf ttf webfonts
#all: $COOLNAME.sfd
OTF=$(FONTS:%=$(BLDDIR)/$(COOLNAME)-%.otf)
TTF=$(FONTS:%=$(BLDDIR)/$(COOLNAME)-%.ttf)
WOFF2=$(FONTS:%=$(BLDDIR)/$(COOLNAME)-%.woff2)

# if one of these conversions fails, it'll look funny, but it'll say why.
# that fontforge header is a little noisy - cut it down slightly

$(BLDDIR)/${COOLNAME}-%.otf: ${COOLNAME}.sfd ${BLDDIR}
	@echo -n "  BUILD    $@:	"
	fontforge -c 'open("$<").generate("$@");print("otf: OK\n")' 2>&1 | tail -n +6

$(BLDDIR)/${COOLNAME}-%.ttf: ${COOLNAME}.sfd ${BLDDIR}
	@echo -n "  BUILD    $@:	"
	fontforge -c 'open("$<").generate("$@");print("ttf: OK\n")' 2>&1 | tail -n +6

$(BLDDIR)/${COOLNAME}-%.woff2: ${COOLNAME}.sfd ${BLDDIR}
	@echo -n "  WEBFONT    $@:	"
	fontforge -c 'open("$<").generate("$@");print("woff OK\n")' 2>&1 | tail -n +6

${BLDDIR}:
	@mkdir -p build

ttf: $(TTF)
otf: $(OTF)
webfonts: $(WOFF2)

install: ttf otf webfonts
	mkdir -p ${WHERE}/opentype/${NAME} ${WHERE}/truetype/${NAME} ${WHERE}/woff/${NAME}
	install -D -m 0644 $(BLDDIR)/*.otf ${WHERE}/opentype/${NAME}
	install -D -m 0644 $(BLDDIR)/*.ttf ${WHERE}/truetype/${NAME}
	install -D -m 0644 $(BLDDIR)/*.woff2 ${WHERE}/woff/${NAME}

clean:
	# the "build" literal is a special case so that we do not delete "."
	rm -r build $(BLDDIR)/*.ttf $(BLDDIR)/*.otf $(BLDDIR)/*.woff2 || echo 'Nothing to clean at this moment...'

=== debian/changelog ===
fonts-confont (0.9.1~chris1) groovy; urgency=medium

  *  fix name issues in font metadata (crashed forge earlier)

 -- Chris <dpkg@chris-nz.com>  Sun, 02 May 2021 09:49:03 +1200

=== debian/control ===
Source: fonts-confont
Section: fonts
Priority: optional
Maintainer: Chris <dpkg@chris-nz.com>
Build-Depends: debhelper-compat (= 13), fontforge-nox | fontforge
Standards-Version: 4.5.0
#Vcs-Git:
#Vcs-Browser:
Homepage: https://archive.chris-nz.com/confont
Rules-Requires-Root: no

Package: fonts-confont
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: ProFont-derived font for consoles
 Provides a sans-serif monospace font (ConFont)
 based on the timeless MIT-licensed ProFont.
 See https://tobiasjung.name/profont/ for
 alternatives and ProFont information.
